Bug 1248176 - go1.5beta2 and docker: hardlinks are failing
go1.5beta2 and docker: hardlinks are failing
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-07-29 15:29 EDT by Vincent Batts
Modified: 2015-08-25 14:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-25 14:01:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2015-07-29 15:29:59 EDT
Description of problem:

Version-Release number of selected component (if applicable):
go1.5beta2 and docker-1.8.0-dev

How reproducible:
pretty consistent

Steps to Reproduce:
1. build a docker daemon with the go1.5beta2 compiler
2. do something that causes docker to copy hardlinks through a tar archive (e.g. `make test` docker itself with this new daemon binary)

Actual results:
ApplyLayer exit status 1 stdout:  stderr: link / /sbin/btrfs: operation not permitted

Expected results:
no failure

Additional info:
Comment 1 Vincent Batts 2015-07-30 13:58:13 EDT
Comment 2 Vincent Batts 2015-08-25 14:01:20 EDT
fixed in upstream golang for the go1.5 release. 

Note You need to log in before you can comment on or make changes to this bug.